//---- RECUPERA PARAMETRO DE LA URL -----------

function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return"";
	else
		return results[1];
}

//----------------------------------

function cargar_sedes(){

var parametros = {"accion":'sedes'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){
                        
                        $("#sedes").html(response);
           }
        });
        
}

//-------------------------------------
function limpiar(){
    
            
  var dir=parametro('dir');
  
  if(dir=='1'){     
    window.location.href="nota_faltante.php?dir=1";
  }else{
    var v1=parametro('id');
    window.location.href="nota_faltante.php?dir=2&id="+v1;
  }
//document.getElementById("alumnos").innerHTML="";
}



function mostrar_grados(){

var s=document.getElementById('sedes').value;

var parametros = {"accion":'grados',"sede":s};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#grados").html(response);
           }
        });

}

//-------------------------------------

function mostrar_grupos(){

var s=document.getElementById('sedes').value;
var g=document.getElementById('grados').value;

var parametros = {"accion":'grupos',"sede":s,"grado":g};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#grupos").html(response);
           }
        });

}

//-------------------------------------

function mostrar_asignaturas(){

var g=document.getElementById('grados').value;
var c=document.getElementById('grupos').value;

var parametros = {"accion":'asignaturas',"grado":g,"grupo":c};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#asignaturas").html(response);
           }
        });

}
//-------------------------------------
function mostrar_docente(){

var g=document.getElementById('grados').value;
var c=document.getElementById('grupos').value;
var a=document.getElementById('asignaturas').value;

var parametros = {"accion":'mostrar_docente',"grado":g,"grupo":c,"asignatura":a};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#docente").html(response);
                        cargar_habilitaciones();
           }
        });
}

//--------------------------------------

function cargar_habilitaciones(){

var g=document.getElementById('grados').value;
var c=document.getElementById('grupos').value;
var a=document.getElementById('asignaturas').value;

document.getElementById('habilitaciones').innerHTML='';

    var parametros = {"accion":'consultar',"grado":g,"grupo":c,"asign":a};

            $.ajax({
                data:  parametros,
                url:"consultar_habilitaciones.php",
                type: "POST",
            success: function(res){
                document.getElementById('habilitaciones').innerHTML=res;
           }})

}


//-----------------------------------

function grabar_habilitacion(codigo,asign,h){


var habil=document.getElementById(h).value;

    var parametros = {"accion":'grabar',"codigo":codigo,"asign":asign,"habil":habil};

            $.ajax({
                data:  parametros,
                url:"consultar_habilitaciones.php",
                type: "POST",
                success: function(res){
                alert(res);
           }})


}

//-----------------------------------

function lista_asign_habilita(){

   var cod=parametro('id');
   document.location.href="listados.php?id="+cod;

}


//----------- MOSTRAR EMERGENTE - CUADRO DE NOTAS -------------

var cuadro_nota;

function abrir_dialog(l) {

    //-----Muestra cuadro de Notas ----------

        var parametros1 = {"accion":'cuadro_notas'};

          $.ajax({
                data:  parametros1,
                url:   '../comprobar.php',
                type:  'post',
                success:function (response){

                 $("#dialog").html(response);

           }
        });


    cuadro_nota=l;

      $( "#dialog" ).dialog({
          width: '390px'
      });
    }

//-------------------------------------

function nota(n) {
      document.getElementById(cuadro_nota).value=n;
      document.getElementById(cuadro_nota).focus();

      $("#dialog").click(function () {
            $(this).dialog('close');
      });
}

//-------------------------------------

function retornar(){
 
   document.location.href="../menu.php";

}

//-------------------------------------

function limpiar(){

document.getElementById('habilitaciones').innerHTML='';
document.getElementById('docente').innerHTML='';

document.getElementById('sedes').selectedIndex  = 0;

removeOptions(document.getElementById("grados"));
removeOptions(document.getElementById("grupos"));
removeOptions(document.getElementById("asignaturas"));

}

//-------------------------------------

function removeOptions(selectbox)
{
    var i;
    for(i=selectbox.options.length-1;i>=0;i--)
    {
        selectbox.remove(i);
    }
}

